@charset "utf-8";
/* CSS Document */
/* Minimum needed to implement sidebar test */

.hamburgerIcon { float:left; }

#mainContainer
{ 
	padding-left: calc(200px + 2%); padding-right:2%;
	padding-top:40px; padding-bottom:2%;
}

.side-nav
{
  left: 0;
  top: 0;
  margin: 0;
  -webkit-transform: translateX(-100%);
          transform: translateX(-100%);
  height: 100%;
  height: calc(100% + 48px);
  height: -moz-calc(100%);
  padding-bottom: 48px;
  background-color: #fff;
  overflow-y: auto;
  will-change: transform;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  -webkit-transform: translateX(-105%);
          transform: translateX(-105%);
}

.side-nav li { float: none; }

.side-nav.fixed
{
  left: 0;
  -webkit-transform: translateX(0);
          transform: translateX(0);
  position: absolute;
}

.side-nav 
{ box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2); }

#sideNavCloseButton
{
	position:absolute; left:7px; top:6px;
	background-color: #2858a1;
    border: #84C1E8 0px solid;
    color: white;
    padding: 0px 6px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 18px;
	cursor:pointer;
	width:26px;
}

nav
{
	display:table-cell;
	vertical-align: top;
	max-width:200px;
}

nav .button-collapse 
{
  float: left;
  position: relative;
  margin: 4px 18px 0px 10px;
}

nav #menu { padding:10px 0px 20px 0px; }

.menusection
{
	width:175px;
	margin-left:10px;
	margin-bottom:5px;
	display: block;
	text-decoration: none;
	font-weight: 300;
}

.menusection a
{
    text-decoration: none;
	color:#2858a1;
	display: block;
	padding: 7px;
	border-radius: 4px;
}

.menusection a:hover { color:#3779db; background-color:#f9f9f9; }

#headerWrapper
{
	position: sticky;
	top:0px;
	z-index:998;
	text-align: center;
}

.headerTitle 
{
	background-image: linear-gradient(to top, #FFF 25%, #F4F4F4 100%);
	width: 100%;
	overflow:hidden !important;
	padding:5px;
	font-size:20px;
	color:#000;
	vertical-align:middle;
}

#navHead { padding: 10px 5px 5px 5px; display:block; width:200px; }

.schoolLogo { padding-bottom:12px; }


/* dynamics for different sizes */

@media only screen and (max-width : 630px) /* below 650px ( mobile phones ) */
{
	.schoolLogo { width:30%; padding-bottom:0px; padding-top:0px; }
	#navHeadText { margin: 0 auto; font-size: 13px; }

	.menusection { margin-bottom:3px; font-size: 14px;}
	.menusection a { padding:6px; }
	#menu { padding: 5px 0px 28px 0px !important; }

	.headerTitle { font-size: 15px !important; font-weight:bold !important; padding-bottom: 4px; }
	.side-nav { z-index:999; }
	.hamburgerIcon { padding-top:0px !important; }
	nav { position:fixed; height:100%; top: 0px; z-index: 1000; }
	#backend { padding: 4px 6px 4px 6px; }

	/* adjust font sizes */
	#backend { font-size:13px !important; }
	#backend small { font-size:11px !important; }
	#backend h1 { font-size: 20px; }
	#backend h2 { font-size:17px; }
	#backend h3 { font-size:15px; }
	#backend h4 { font-size:13px; }
}

@media only screen and (min-width: 630px) and (max-width: 992px) /* middle 650px to 992px ( tablets ) */
{ 
	#navHeadText { min-height: 20px; font-size:13px; padding-right:5px; overflow:hidden; }
	#navHead { padding-top:5px; }
	.menusection { margin-bottom:5px; }
	.menusection a { padding:6px; }
	.schoolLogo { width:33%; padding-bottom:0px; padding-top:3px; }
	#menu { padding: 7px 0px 28px 0px !important; }

	.headerTitle { font-size: 18px !important;  padding-bottom:5px; }
	.side-nav { z-index:999; }
	.hamburgerIcon { padding-top:3px; }
	nav{ position:fixed; height:100%; top:0px; z-index: 1000; }
	#backend { padding: 0px 10px 6px 10px; }

	/* adjust font sizes */
	#backend { font-size:14px !important; }
	#backend small { font-size:12px !important; }
	#backend h1 { font-size: 21px; }
	#backend h2 { font-size:18px; }
	#backend h3 { font-size:16px; }
	#backend h4 { font-size:15px; }

}

@media only screen and (min-width: 992px) /* 992px and above ( desktop ) */
{
	nav a.button-collapse { display: none; }
	.show-on-large { display: inline-block !important; }
	#sideNavCloseButton { display: none; }
	.side-nav { box-shadow: none; background:transparent; }
	.side-nav.fixed { position:relative !important; }
	#mainContainer { padding-left: 200px; }
	.hamburgerIcon { display:none; }
	.headerTitle { height:45px; padding-bottom:5px; }
	.side-nav { z-index:997; }
	nav { position:fixed; height:100%; z-index: 1000; top:13px; }
	#backend { padding: 0px 12px 12px 212px; }
	#navHead { padding: 0px 5px 5px 5px !important; }
	.headerText { text-shadow: 0px -2px 2px rgba(255, 255, 255, 1); }
	.noSidebarPad { padding-left:12px !important; }
}

/* printer settings */
@media only print
{
	#mobile-demo{ display:none; }
	#mainWrap { box-shadow:none; padding:0px; border:none; }
	table { box-shadow:none !important; }
	th { background-color: #FFF !important; color: #000 !important; }
	.headerTitle { background: none !important; }
	body { box-shadow:none !important; }
	.backButton { display:none; }
	#mainWrap { height:auto; min-height: unset; }
	.hamburgerIcon { display: none; }
}

/* from materialize.css */

nav ul:not(.browser-default)
{
  padding-left: 0;
  list-style-type: none;
}

nav ul { margin: 0; }

nav ul li {
  -webkit-transition: background-color .3s;
  transition: background-color .3s;
  float: left;
  padding: 0;
}

.hiddendiv
{
  display: none;
  white-space: pre-wrap;
  word-wrap: break-word;
  overflow-wrap: break-word;
  /* future version of deprecated 'word-wrap' */
  padding-top: 1.2rem;
  /* prevents text jump on Enter keypress */
  position: absolute;
  top: 0;
}

.drag-target
{
  height: 100%;
  width: 10px;
  position: relative;
  top: 0;
}